// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include <qtooltip.h>
#include <qstring.h>
#include <qgroupbox.h>
#include <qwidget.h>
#include "OmSourceGroupBox.h"
#include "qfont.h" 

OmSourceGroupBox::OmSourceGroupBox(QWidget *parent, QString title, 
       int xPos, int yPos, int width, int height, QString help) :
       QGroupBox(title, parent)
{

    setGeometry(xPos, yPos, width, height);




    //    QFont serifFont( "Times", 15, QFont::Bold );
     
 
   
    //    setFont(serifFont);

 
    setAlignment(Qt::AlignCenter);
 



        if (help)
	  {   
    //        QToolTip::add(this, help);

	  }
 


};
OmSourceGroupBox::OmSourceGroupBox(QWidget *parent, QString title, 
       int xPos, int yPos, QString help) :
       QGroupBox(title, parent)
{

    move(xPos, yPos);
    setInsideSpacing(2);
   
    setColumns(5);



    //    QFont serifFont( "Times", 15, QFont::Bold );
     
 
   
    //    setFont(serifFont);

 
    setAlignment(Qt::AlignCenter);
 



        if (help)
	  {   
    //        QToolTip::add(this, help);

	  }
 


};

