// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef OmSourceNumerics_h
#define OmSourceNumerics_h

void ComputeAverageMagnitude(float* magnitude, float* error, int size, float& mean, float& standardDeviation);

template<class kind>
int nint(kind x)
{
  if ( x - kind(int(x)) > 0.5)
    return int(x) + 1;
  else
    return int(x);

}
#endif

