// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef OMUTILITY_H
#define OMUTILITY_H
#include <qinputdialog.h>
#include <qfile.h>
#include <qfiledialog.h>
#include <qstring.h>
#include <qwidget.h>
/************************************************************
* GetOldFileName
*************************************************************/
void GetOldFileName(QWidget *parent, string &name, 
		    const char *parameter, const char *title, const QString filterList[]);

bool GetNewFileName(QWidget *parent, string &name, 
		    const char *parameter, const QString title, const QString caption);
bool CompareFileAttributes(char *file1, char *file2);


#endif

